<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.inkasso.factoring.system.role.dao.RoleDAO">

	<!-- 查询用户 在该租户下的 角色 集合 -->
	<select id="getByUserIdAndTenantId" resultType="com.inkasso.factoring.system.role.entity.RoleDO">
		select
		    a.*
		from  kfb_sys_role a
	    join kfb_sys_user_role  b on a.id = b.role_id
		where b.user_id = #{userId}  and b.tenant_id = #{tenantId}
	</select>
</mapper>